Bug 19974 - cpp -A segfaults
Summary: cpp -A segfaults
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-28 23:26 UTC by Dmitry V. Levin
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-30 15:47:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description Dmitry V. Levin 2000-10-28 23:26:44 UTC
$ cpp -A blabla </dev/null
cpp: Internal error: Segmentation fault (program cpp0)

Problem in gcc/cpplib.c, function do_assert,
dereferencing null pointer.

Bug still exists in current CVS tree.
I'm not gcc hacker, so reporting here.

Comment 1 Jakub Jelinek 2000-10-30 15:47:06 UTC
Actually, it seems this segfault went away in CVS with 2000-10-28
CPP lexer rewrite.
As I don't trust that shiny new lever yet though, I wrote a fix for this
for the old lexer and will be testing it with other changes in gcc-2.96-62.


Note You need to log in before you can comment on or make changes to this bug.